Get high-level information about indices in a cluster, including backing indices for data streams.
Use this request to get the following information for each index in a cluster:
- shard count
- document count
- deleted document count
- primary store size
- total store size of all shards, including shard replicas
These metrics are retrieved directly from Lucene, which Elasticsearch uses internally to power indexing and search. As a result, all document counts include hidden nested documents. To get an accurate count of Elasticsearch documents, use the cat count or count APIs.
NOTE: Storage metrics reported by this API reflect the post-compression size of the indices on disk. Because these values are calculated after Elasticsearch compresses the data and processes deletions, they are typically significantly smaller than the raw, uncompressed data volume ingested.
IMPORTANT: For Elastic Cloud Serverless, ingest billing is based on the raw, uncompressed data volume, not the post-compression metrics reported here. To learn more, refer to Elasticsearch billing dimensions.
CAT APIs are only intended for human consumption using the command line or Kibana console. They are not intended for use by applications. For application consumption, use an index endpoint.
Required authorization
- Index privileges:
monitor - Cluster privileges:
monitor
Query parameters
-
The type of index that wildcard patterns can match.
Values are
all,open,closed,hidden, ornone. -
The health status used to limit returned indices. By default, the response includes indices of any health status.
Values are
green,GREEN,yellow,YELLOW,red,RED,unknown, orunavailable. -
If true, the response includes information from segments that are not loaded into memory.
-
If true, the response only includes information from primary shards.
-
Period to wait for a connection to the master node.
Values are
-1or0.External documentation -
A comma-separated list of columns names to display. It supports simple wildcards.
Values are
health,h,status,s,index,i,idx,uuid,id,pri,p,shards.primary,shardsPrimary,rep,r,shards.replica,shardsReplica,docs.count,dc,docsCount,docs.deleted,dd,docsDeleted,creation.date,cd,creation.date.string,cds,store.size,ss,storeSize,pri.store.size,dataset.size,completion.size,cs,completionSize,pri.completion.size,fielddata.memory_size,fm,fielddataMemory,pri.fielddata.memory_size,fielddata.evictions,fe,fielddataEvictions,pri.fielddata.evictions,query_cache.memory_size,qcm,queryCacheMemory,pri.query_cache.memory_size,query_cache.evictions,qce,queryCacheEvictions,pri.query_cache.evictions,request_cache.memory_size,rcm,requestCacheMemory,pri.request_cache.memory_size,request_cache.evictions,rce,requestCacheEvictions,pri.request_cache.evictions,request_cache.hit_count,rchc,requestCacheHitCount,pri.request_cache.hit_count,request_cache.miss_count,rcmc,requestCacheMissCount,pri.request_cache.miss_count,flush.total,ft,flushTotal,pri.flush.total,flush.total_time,ftt,flushTotalTime,pri.flush.total_time,get.current,gc,getCurrent,pri.get.current,get.time,gti,getTime,pri.get.time,get.total,gto,getTotal,pri.get.total,get.exists_time,geti,getExistsTime,pri.get.exists_time,get.exists_total,geto,getExistsTotal,pri.get.exists_total,get.missing_time,gmti,getMissingTime,pri.get.missing_time,get.missing_total,gmto,getMissingTotal,pri.get.missing_total,indexing.delete_current,idc,indexingDeleteCurrent,pri.indexing.delete_current,indexing.delete_time,idti,indexingDeleteTime,pri.indexing.delete_time,indexing.delete_total,idto,indexingDeleteTotal,pri.indexing.delete_total,indexing.index_current,iic,indexingIndexCurrent,pri.indexing.index_current,indexing.index_time,iiti,indexingIndexTime,pri.indexing.index_time,indexing.index_total,iito,indexingIndexTotal,pri.indexing.index_total,indexing.index_failed,iif,indexingIndexFailed,pri.indexing.index_failed,indexing.index_failed_due_to_version_conflict,iifvc,indexingIndexFailedDueToVersionConflict,pri.indexing.index_failed_due_to_version_conflict,merges.current,mc,mergesCurrent,pri.merges.current,merges.current_docs,mcd,mergesCurrentDocs,pri.merges.current_docs,merges.current_size,mcs,mergesCurrentSize,pri.merges.current_size,merges.total,mt,mergesTotal,pri.merges.total,merges.total_docs,mtd,mergesTotalDocs,pri.merges.total_docs,merges.total_size,mts,mergesTotalSize,pri.merges.total_size,merges.total_time,mtt,mergesTotalTime,pri.merges.total_time,refresh.total,rto,refreshTotal,pri.refresh.total,refresh.time,rti,refreshTime,pri.refresh.time,refresh.external_total,pri.refresh.external_total,refresh.external_time,pri.refresh.external_time,refresh.listeners,rli,refreshListeners,pri.refresh.listeners,search.fetch_current,sfc,searchFetchCurrent,pri.search.fetch_current,search.fetch_time,sfti,searchFetchTime,pri.search.fetch_time,search.fetch_total,sfto,searchFetchTotal,pri.search.fetch_total,search.open_contexts,so,searchOpenContexts,pri.search.open_contexts,search.query_current,sqc,searchQueryCurrent,pri.search.query_current,search.query_time,sqti,searchQueryTime,pri.search.query_time,search.query_total,sqto,searchQueryTotal,pri.search.query_total,search.scroll_current,scc,searchScrollCurrent,pri.search.scroll_current,search.scroll_time,scti,searchScrollTime,pri.search.scroll_time,search.scroll_total,scto,searchScrollTotal,pri.search.scroll_total,segments.count,sc,segmentsCount,pri.segments.count,segments.memory,sm,segmentsMemory,pri.segments.memory,segments.index_writer_memory,siwm,segmentsIndexWriterMemory,pri.segments.index_writer_memory,segments.version_map_memory,svmm,segmentsVersionMapMemory,pri.segments.version_map_memory,segments.fixed_bitset_memory,sfbm,fixedBitsetMemory,pri.segments.fixed_bitset_memory,warmer.current,wc,warmerCurrent,pri.warmer.current,warmer.total,wto,warmerTotal,pri.warmer.total,warmer.total_time,wtt,warmerTotalTime,pri.warmer.total_time,suggest.current,suc,suggestCurrent,pri.suggest.current,suggest.time,suti,suggestTime,pri.suggest.time,suggest.total,suto,suggestTotal,pri.suggest.total,memory.total,tm,memoryTotal,pri.memory.total,bulk.total_operations,bto,bulkTotalOperation,pri.bulk.total_operations,bulk.total_time,btti,bulkTotalTime,pri.bulk.total_time,bulk.total_size_in_bytes,btsi,bulkTotalSizeInBytes,pri.bulk.total_size_in_bytes,bulk.avg_time,bati,bulkAvgTime,pri.bulk.avg_time,bulk.avg_size_in_bytes,basi,bulkAvgSizeInBytes,pri.bulk.avg_size_in_bytes,dense_vector.value_count,dvc,denseVectorCount,pri.dense_vector.value_count,sparse_vector.value_count,svc,sparseVectorCount, orpri.sparse_vector.value_count. -
List of columns that determine how the table should be sorted. Sorting defaults to ascending and can be changed by setting
:ascor:descas a suffix to the column name.
curl \
--request GET 'http://api.example.com/_cat/indices'
[
{
"health": "yellow",
"status": "open",
"index": "my-index-000001",
"uuid": "u8FNjxh8Rfy_awN11oDKYQ",
"pri": "1",
"rep": "1",
"docs.count": "1200",
"docs.deleted": "0",
"store.size": "88.1kb",
"pri.store.size": "88.1kb",
"dataset.size": "88.1kb"
},
{
"health": "green",
"status": "open",
"index": "my-index-000002",
"uuid": "nYFWZEO7TUiOjLQXBaYJpA ",
"pri": "1",
"rep": "0",
"docs.count": "0",
"docs.deleted": "0",
"store.size": "260b",
"pri.store.size": "260b",
"dataset.size": "260b"
}
]